Test fail with new qtpim

Bug #1178620 reported by Timo Jyrinki on 2013-05-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
phone-app
Invalid
Undecided
Gustavo Pichorim Boiko
qtpim-opensource-src (Ubuntu)
Undecided
Timo Jyrinki

Bug Description

Qtpim got upgraded in qt5-proper PPA to a newer snapshot, since the old one didn't build anymore with Qt 5.0.2. Initially there was a problem with packages, but the packages are now fixed.

I'm now getting one failed test still when building phone-app:

6/9 Test #6: ConversationAggregatorModelTest ...***Exception: Other 0.09 sec

If I force to install the built phone-app, it crashes on startup and I can get the following trace (after installing qtpim5-dbg):

0x43b6803c in QtContacts::QContactManagerData::createEngine (this=0xa6978, managerName=..., parameters=...)
    at qcontactmanager_p.cpp:150
150 qcontactmanager_p.cpp: No such file or directory.
(gdb) bt
#0 0x43b6803c in QtContacts::QContactManagerData::createEngine (this=0xa6978, managerName=..., parameters=...)
    at qcontactmanager_p.cpp:150
#1 0x43b6c856 in QtContacts::QContactManager::createEngine (this=this@entry=0xa6738, managerName=..., parameters=...)
    at qcontactmanager.cpp:284
#2 0x43b6cbae in QtContacts::QContactManager::QContactManager (this=0xa6738, managerName=..., parameters=...,
    parent=<optimized out>) at qcontactmanager.cpp:279
#3 0x43b086ae in ContactModel::ContactModel(QString const&, QObject*) ()
   from /usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/PhoneApp/libphone-qml.so
#4 0x43b08c0c in ContactModel::instance(QString const&) ()
   from /usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/PhoneApp/libphone-qml.so
#5 0x43afdc5e in Components::initializeEngine(QQmlEngine*, char const*) ()
   from /usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/PhoneApp/libphone-qml.so
#6 0x406247ce in ?? () from /usr/lib/arm-linux-gnueabihf/libQt5Qml.so.5
#7 0x406247ce in ?? () from /usr/lib/arm-linux-gnueabihf/libQt5Qml.so.5
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Changed in phone-app:
assignee: nobody → Gustavo Pichorim Boiko (boiko)
Changed in qtpim-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Timo Jyrinki (timo-jyrinki) wrote :

It seems to fail in supportedImplementationVersion();, and initially it seems that this is because of this upstream commit https://qt.gitorious.org/qt/qtpim/commit/8d094099b98c7691e12a6f9c4049c409db55fa30 (https://bugreports.qt-project.org/browse/QTBUG-29838) which was probably even meant to break things as qtpim is an unofficial module.

My initial compilings seems to confirm that, so I'm now going to have a package in qt5-proper that does not revert the commit (it wouldn't build anymore) but sets the version to 5.0.0 instead of 0.0.0.

Timo Jyrinki (timo-jyrinki) wrote :

Fixed in packaging branch and qt5-proper PPA, phone-app seems to work completely again with the new snapshot, but with the version set to 5.0.0.

Changed in phone-app:
status: New → Invalid
Changed in qtpim-opensource-src (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtpim-opensource-src - 5.0~git20130502-0ubuntu1

---------------
qtpim-opensource-src (5.0~git20130502-0ubuntu1) saucy; urgency=low

  * Initial release
  * debian/patches/revert_module_version.patch:
    - Set upstream version number to 5.0.0 instead of 0.0.0 for now,
      causes a crash in supportedImplementationVersions(); (LP: #1178620)
  * debian/patches/add_license_files.patch:
    - Include license files not yet in upstream (submitted for inclusion)
 -- Timo Jyrinki <email address hidden> Fri, 10 May 2013 14:15:23 +0300

Changed in qtpim-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers